Bug 218466 - libbdevid-python needs to be rebuilt for new libparted
libbdevid-python needs to be rebuilt for new libparted
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-05 11:16 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.1.19.0.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-29 10:57:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-12-05 11:16:58 EST
Description of problem:

Traceback (most recent call last):
  File "/usr/lib/anaconda-runtime/pkgorder", line 33, in ?
    from yuminstall import YumSorter
  File "/usr/lib/anaconda/yuminstall.py", line 29, in ?
    from packages import recreateInitrd
  File "/usr/lib/anaconda/packages.py", line 19, in ?
    import iutil
  File "/usr/lib/anaconda/iutil.py", line 16, in ?
    import os, isys, string, stat
  File "/usr/lib/anaconda/isys.py", line 32, in ?
    import block
  File "/usr/lib64/python2.4/site-packages/block/__init__.py", line 33, in ?
    from bdevid import bdevid as _bdevid
ImportError: libparted-1.7.so.1: cannot open shared object file: No such file or
directory

Version-Release number of selected component (if applicable):
anaconda-11.1.1.3-1
Comment 1 Jeremy Katz 2006-12-05 11:27:31 EST
Except that this is from python-pyblock, not anaconda.
Comment 2 Jeff Moe (jebba) 2006-12-09 19:36:12 EST
Except that this is from libbdevid-python, not python-pyblock ;)

libbdevid-python is part of mkinitrd. There are some new mkinitrd packages
(5.1.19.0.2-1) in testing at the moment which fix this. There is also yet an
even newer parted 1.8.1, which is later than that mkinitrd.

I don't have perms to re-assign to mkinitrd.
Comment 3 Orion Poplawski 2007-03-12 11:34:59 EDT
Here we go again:

Traceback (most recent call last):
  File "/usr/lib/anaconda-runtime/pkgorder", line 33, in ?
    from yuminstall import YumSorter
  File "/usr/lib/anaconda/yuminstall.py", line 29, in ?
    from packages import recreateInitrd
  File "/usr/lib/anaconda/packages.py", line 19, in ?
    import iutil
  File "/usr/lib/anaconda/iutil.py", line 16, in ?
    import os, isys, string, stat
  File "/usr/lib/anaconda/isys.py", line 32, in ?
    import block
  File "/usr/lib/python2.4/site-packages/block/__init__.py", line 33, in ?
    from bdevid import bdevid as _bdevid
ImportError: libparted-1.8.so.0: cannot open shared object file: No such file or
directory

Can we get things changed so that we can catch this in repoclosure?
Comment 4 Orion Poplawski 2007-03-29 10:57:20 EDT
Appears fixed in mkinitrd-5.1.19.0.3-1

# rpm -q --requires mkinitrd | grep parted
libparted-1.8.so.2

Note You need to log in before you can comment on or make changes to this bug.